Bug 25553 - Edit item date sort does not sort correctly
Summary: Edit item date sort does not sort correctly
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 25844 25863 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-05-20 13:47 UTC by Donna
Modified: 2020-07-23 20:25 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25553: Make date columns sortable on the edit items table (3.11 KB, patch)
2020-05-22 09:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25553: Make date columns sortable on the edit items table (3.42 KB, patch)
2020-05-25 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25553: Make date columns sortable on the edit items table (3.50 KB, patch)
2020-05-25 21:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25553: Make date columns sortable on the edit items table (3.54 KB, patch)
2020-06-19 12:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2020-05-20 13:47:02 UTC
When in the edit items table for a bib record, the date last seen and date accessioned do not sort correctly. 
To test, find a bib record with multiple items attached that have different dates for either accessioned and/or last seen.  Select Edit - items.  On the edit items screen, click on the column header for one of the dates and note that they do not sort in date order.
Comment 1 Jonathan Druart 2020-05-22 09:05:18 UTC
Created attachment 105252 [details] [review]
Bug 25553: Make date columns sortable on the edit items table

When editing items, the table at the top contain several columns that
have date values, but they cannot be sorted by dates correctly.

Test plan:
Have several items with different dates in columns that contain dates,
like items.dateaccessioned, items.datelastseen)
Sort the column and confirm that with this patch the lines are sorted
correctly
Comment 2 Katrin Fischer 2020-05-22 22:32:32 UTC
Not tested?

Template process failed: undef error - : filter not found at /home/vagrant/kohaclone/C4/Templates.pm line 122 ?
Comment 3 Jonathan Druart 2020-05-25 08:12:04 UTC
Created attachment 105322 [details] [review]
Bug 25553: Make date columns sortable on the edit items table

When editing items, the table at the top contain several columns that
have date values, but they cannot be sorted by dates correctly.

Test plan:
Have several items with different dates in columns that contain dates,
like items.dateaccessioned, items.datelastseen)
Sort the column and confirm that with this patch the lines are sorted
correctly
Comment 4 Jonathan Druart 2020-05-25 08:12:20 UTC
Looks like I edited the patch after I tested it.
Comment 5 Katrin Fischer 2020-05-25 21:30:28 UTC
Created attachment 105332 [details] [review]
Bug 25553: Make date columns sortable on the edit items table

When editing items, the table at the top contain several columns that
have date values, but they cannot be sorted by dates correctly.

Test plan:
Have several items with different dates in columns that contain dates,
like items.dateaccessioned, items.datelastseen)
Sort the column and confirm that with this patch the lines are sorted
correctly

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-06-19 12:54:50 UTC
Created attachment 106086 [details] [review]
Bug 25553: Make date columns sortable on the edit items table

When editing items, the table at the top contain several columns that
have date values, but they cannot be sorted by dates correctly.

Test plan:
Have several items with different dates in columns that contain dates,
like items.dateaccessioned, items.datelastseen)
Sort the column and confirm that with this patch the lines are sorted
correctly

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-06-19 12:56:38 UTC
Works as expected, nice improvement.

Passing QA
Comment 8 Katrin Fischer 2020-06-22 20:33:03 UTC
*** Bug 25844 has been marked as a duplicate of this bug. ***
Comment 9 Katrin Fischer 2020-06-24 11:45:27 UTC
*** Bug 25863 has been marked as a duplicate of this bug. ***
Comment 10 Jonathan Druart 2020-06-24 13:32:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-07-10 15:21:03 UTC
backported to 20.05.x for 20.05.02
Comment 12 Aleisha Amohia 2020-07-12 22:08:39 UTC
backported to 19.11.x for 19.11.08
Comment 13 Victor Grousset/tuxayo 2020-07-23 20:25:01 UTC
Backported to 19.05.x branch for 19.05.14